VisualEditor: Links not doing pre-annotations ever (rather than just not spanning on ' ') is confusing for users
Closed, ResolvedPublic

Description
  1. Go to [[mw:VisualEditor:TTO]] and edit in VE
  2. Double-click on a link in order to select it, or drag-select the whole link
  3. Type a new link text

Only the first character you type remains linked, instead of the whole text you type.


Version: unspecified
Severity: normal

bzimport set Reference to bz49931.
TTO created this task.Via LegacyJun 21 2013, 5:41 AM
Michielderoo added a comment.Via ConduitJul 3 2013, 12:01 PM

A related problem is, when you change only the first character of a link, that first letter is no longer part of the link. For example, if you change [[edinburgh]] to [[Edinburgh]], it becomes E[[dinburgh]].

Jdforrester-WMF added a comment.Via ConduitJul 7 2013, 12:08 AM

I agree that this behaviour is not great for users; we should reverse the decision to abandon "pre-annotation" (that is, if you're typing, we'll apply the same formatting as the character immediately before the one you've just typed in the same paragraph) for links.

Our concern was that having links always extent would be more tiresome for editors, which I still agree with, and that extending but not over whitespace would be confusing, which I think is arguable, but the current behaviour is worse.

gerritbot added a comment.Via ConduitJul 15 2013, 11:38 PM

Change 73902 had a related patch set uploaded by Catrope:
Continue links

https://gerrit.wikimedia.org/r/73902

gerritbot added a comment.Via ConduitJul 16 2013, 12:31 AM

Change 73902 merged by jenkins-bot:
Continue links

https://gerrit.wikimedia.org/r/73902

Esanders added a comment.Via ConduitJul 16 2013, 4:28 PM

That's all well and good, but now if my document ends in a link (a common case if I link the last thing I typed) I can't put plain text after it, which is the very reason we disabled trailing annotations for links in the first place...

Jdforrester-WMF added a comment.Via ConduitJul 16 2013, 4:35 PM

(In reply to comment #5)

That's all well and good, but now if my document ends in a link (a common
case if I link the last thing I typed) I can't put plain text after it, which
is the very reason we disabled trailing annotations for links in the first
place...

You can - you just need to press the "clear annotations" button, or press return to get a new context with no pre-annotations. However, yes, these suck for discoverability. I think not-extending-over-whitespace is the best solution, though it's fiddly and difficult to support.

Esanders added a comment.Via ConduitJul 16 2013, 7:11 PM

See bug 51463

Jdforrester-WMF added a comment.Via ConduitJul 25 2013, 5:00 PM

With bug 51463 closed, this is now complete. Marking as fixed.

Add Comment